<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.microprofile-config-smallrye.config-source.dir">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="path,relative-to,root"/>
        <elem name="complex-attribute" value="dir"/>
        <elem name="addr-params" value="profile,subsystem,config-source"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.microprofile-config-smallrye"/>
    </annotation>
    <refs>
        <ref feature="subsystem.microprofile-config-smallrye.config-source"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="microprofile-config-smallrye"/>
        <param name="path"/>
        <param name="config-source" feature-id="true"/>
        <param name="relative-to" nillable="true"/>
        <param name="root" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>